package com.ruoyi.project.approval.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 批文清单对象 t_approval
 * 
 * @author ruoyi
 * @date 2024-03-25
 */
public class TApproval extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 装置 */
    @Excel(name = "装置")
    private String plantCode;

    /** 部门 */
    @Excel(name = "部门")
    private String division;

    /** 批准日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "批准日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date effetivedate;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String itemName;

    /** 项目概况 */
    @Excel(name = "项目概况")
    private String itemOverview;

    /** 批文属性 */
    @Excel(name = "批文属性")
    private String approvalAttibutes;

    /** 批文名称 */
    @Excel(name = "批文名称")
    private String approvalname;

    /** 批文编号 */
    @Excel(name = "批文编号")
    private String fileno;

    /** 审批单位 */
    @Excel(name = "审批单位")
    private String responsauth;

    /** 主要内容-图文 */
    @Excel(name = "主要内容-图文")
    private String contentFile;

    /** 主要内容 */
    @Excel(name = "主要内容")
    private String content;

    /** 适用范围 */
    @Excel(name = "适用范围")
    private String scope;

    /** 相关法规 */
    @Excel(name = "相关法规")
    private String relatedlaw;

    /** 证书有效期（前） */
    @Excel(name = "证书有效期", readConverterExp = "前=")
    private Date validityBefore;

    /** 证书有效期（后） */
    @Excel(name = "证书有效期", readConverterExp = "后=")
    private Date validityAfter;

    /** 证书有效期是否永久 */
    @Excel(name = "证书有效期是否永久")
    private String isPermanent;

    /** 是否需要跟进 */
    @Excel(name = "是否需要跟进")
    private String follow;

    /** 负责人 */
    @Excel(name = "负责人")
    private String owner;

    /** 回顾人 */
    @Excel(name = "回顾人")
    private String reviewer;

    /** 回顾时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "回顾时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date reviewdate;

    /** 是否合规 */
    @Excel(name = "是否合规")
    private String isCompliance;

    /** 下次回顾时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "下次回顾时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date nextreviewdate;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 删除标识 */
    private Integer delFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createrCode;

    /** 创建日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 更新人 */
    @Excel(name = "更新人")
    private String updaterCode;

    /** 更新日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /** 部门编号 */
    @Excel(name = "部门编号")
    private Long deptId;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setPlantCode(String plantCode) 
    {
        this.plantCode = plantCode;
    }

    public String getPlantCode() 
    {
        return plantCode;
    }
    public void setDivision(String division) 
    {
        this.division = division;
    }

    public String getDivision() 
    {
        return division;
    }
    public void setEffetivedate(Date effetivedate) 
    {
        this.effetivedate = effetivedate;
    }

    public Date getEffetivedate() 
    {
        return effetivedate;
    }
    public void setItemName(String itemName) 
    {
        this.itemName = itemName;
    }

    public String getItemName() 
    {
        return itemName;
    }
    public void setItemOverview(String itemOverview) 
    {
        this.itemOverview = itemOverview;
    }

    public String getItemOverview() 
    {
        return itemOverview;
    }
    public void setApprovalAttibutes(String approvalAttibutes) 
    {
        this.approvalAttibutes = approvalAttibutes;
    }

    public String getApprovalAttibutes() 
    {
        return approvalAttibutes;
    }
    public void setApprovalname(String approvalname) 
    {
        this.approvalname = approvalname;
    }

    public String getApprovalname() 
    {
        return approvalname;
    }
    public void setFileno(String fileno) 
    {
        this.fileno = fileno;
    }

    public String getFileno() 
    {
        return fileno;
    }
    public void setResponsauth(String responsauth) 
    {
        this.responsauth = responsauth;
    }

    public String getResponsauth() 
    {
        return responsauth;
    }
    public void setContentFile(String contentFile) 
    {
        this.contentFile = contentFile;
    }

    public String getContentFile() 
    {
        return contentFile;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }
    public void setScope(String scope) 
    {
        this.scope = scope;
    }

    public String getScope() 
    {
        return scope;
    }
    public void setRelatedlaw(String relatedlaw) 
    {
        this.relatedlaw = relatedlaw;
    }

    public String getRelatedlaw() 
    {
        return relatedlaw;
    }
    public void setValidityBefore(Date validityBefore) 
    {
        this.validityBefore = validityBefore;
    }

    public Date getValidityBefore() 
    {
        return validityBefore;
    }
    public void setValidityAfter(Date validityAfter) 
    {
        this.validityAfter = validityAfter;
    }

    public Date getValidityAfter() 
    {
        return validityAfter;
    }
    public void setIsPermanent(String isPermanent) 
    {
        this.isPermanent = isPermanent;
    }

    public String getIsPermanent() 
    {
        return isPermanent;
    }
    public void setFollow(String follow) 
    {
        this.follow = follow;
    }

    public String getFollow() 
    {
        return follow;
    }
    public void setOwner(String owner) 
    {
        this.owner = owner;
    }

    public String getOwner() 
    {
        return owner;
    }
    public void setReviewer(String reviewer) 
    {
        this.reviewer = reviewer;
    }

    public String getReviewer() 
    {
        return reviewer;
    }
    public void setReviewdate(Date reviewdate) 
    {
        this.reviewdate = reviewdate;
    }

    public Date getReviewdate() 
    {
        return reviewdate;
    }
    public void setIsCompliance(String isCompliance) 
    {
        this.isCompliance = isCompliance;
    }

    public String getIsCompliance() 
    {
        return isCompliance;
    }
    public void setNextreviewdate(Date nextreviewdate) 
    {
        this.nextreviewdate = nextreviewdate;
    }

    public Date getNextreviewdate() 
    {
        return nextreviewdate;
    }
    public void setRemarks(String remarks) 
    {
        this.remarks = remarks;
    }

    public String getRemarks() 
    {
        return remarks;
    }
    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode) 
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode() 
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate) 
    {
        this.createdate = createdate;
    }

    public Date getCreatedate() 
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode) 
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode() 
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate) 
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate() 
    {
        return updatedate;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("plantCode", getPlantCode())
            .append("division", getDivision())
            .append("effetivedate", getEffetivedate())
            .append("itemName", getItemName())
            .append("itemOverview", getItemOverview())
            .append("approvalAttibutes", getApprovalAttibutes())
            .append("approvalname", getApprovalname())
            .append("fileno", getFileno())
            .append("responsauth", getResponsauth())
            .append("contentFile", getContentFile())
            .append("content", getContent())
            .append("scope", getScope())
            .append("relatedlaw", getRelatedlaw())
            .append("validityBefore", getValidityBefore())
            .append("validityAfter", getValidityAfter())
            .append("isPermanent", getIsPermanent())
            .append("follow", getFollow())
            .append("owner", getOwner())
            .append("reviewer", getReviewer())
            .append("reviewdate", getReviewdate())
            .append("isCompliance", getIsCompliance())
            .append("nextreviewdate", getNextreviewdate())
            .append("remarks", getRemarks())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .toString();
    }
}
